OPatch Reports Error "OPatch detects your platform as...this patch...supports platforms: 0 (Generic Platform)" (Doc ID 404473.1)

Last updated on NOVEMBER 18, 2013

Applies to:

Oracle Database - Enterprise Edition - Version 9.2.0.1 to 10.2.0.1 [Release 9.2 to 10.2]
Oracle Database - Standard Edition - Version 9.2.0.1 to 10.2.0.1 [Release 9.2 to 10.2]
Information in this document applies to any platform.
Oracle Server - Standard Edition - Version: 9.2.0.1 to 10.2.0.1
This problem can occur on any platform.

Symptoms

OPatch fails to apply a patch and displays the following error:

OPatch detects your platform as <some platform code> while this patch <some patch number> supports platforms:
0 (Generic Platform)

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms